When opening Air Manager, I always get this

Peer support for Air Manager desktop users

Moderators: Ralph, russ

Post Reply
Message
Author
ksuna
Posts: 1
Joined: Mon Aug 15, 2022 7:11 pm

When opening Air Manager, I always get this

#1 Post by ksuna »

I'm an old guy new to MSFS 2020 and Air Manager.

Each time I open Air Manager and connect to MSFS 2020 I get a notification at the bottom right corner of my screen. It's to the right of "Connected to FS 2020" and is a link that says "Update Available". When I click on it, it says I need to update the Flight Simulator Plugin. I do that and install it, but I continue to get this message every time I open Air Manager. I am able to use Air Manager without any problems (except I still haven't been successful installing the G1000 popout!)

Any suggestions?

Tetrachromat
Posts: 177
Joined: Sun Feb 14, 2021 6:55 pm

Re: When opening Air Manager, I always get this

#2 Post by Tetrachromat »

Same here. Just ignore it. The plugin components (bridge and WASM module) are correctly installed after running the installer.

Looks like the updater check is at fault.

User avatar
Ralph
Posts: 6607
Joined: Tue Oct 27, 2015 7:02 pm
Location: De Steeg
Contact:

Re: When opening Air Manager, I always get this

#3 Post by Ralph »

You can download the latest plugin from our wiki. The latest version is 3.9.

Tetrachromat
Posts: 177
Joined: Sun Feb 14, 2021 6:55 pm

Re: When opening Air Manager, I always get this

#4 Post by Tetrachromat »

@Ralph it doesn't matter wheter you download the plugin installer from the 'Update available' message or from the WIKI page. I used both methods.

But each time after the installation the 'Update available' message still pops up:
Update_available_message.png
Update_available_message.png (5.74 KiB) Viewed 263 times

Airplugin log file (fs2020_log.txt) also shows the wrong version after installing plugin 3.9.0:

Code: Select all

14-08-2022 19:20:19.512 INFO Main: Starting plugin (3.8.0 )...
14-08-2022 19:20:19.512 INFO Main: Done initializing!
14-08-2022 19:20:19.512 INFO Main: Serving forever...
Also the airplugin WASM module 'manifest.json' file mentions "package_version": "3.4.0".

Paul

User avatar
Ralph
Posts: 6607
Joined: Tue Oct 27, 2015 7:02 pm
Location: De Steeg
Contact:

Re: When opening Air Manager, I always get this

#5 Post by Ralph »

Corjan probably forgot to update the version number. But if you have downloaded it from the wiki, then you have the latest version.

User avatar
Keith Baxter
Posts: 3766
Joined: Wed Dec 20, 2017 11:00 am
Location: Botswana

Re: When opening Air Manager, I always get this

#6 Post by Keith Baxter »

Hi,

I complained/brought to attention the yellow notification about 18 months ago. At the time I was told not to worry as long as I have the latest plugin and it would be fixed. It seems to have slipped down in the to do list, because it has never been fixed.
Both Beta and AM4 stable.
I only have xplane and the plugin is the latest.

Keith
AMD RYZEN 9 5950X CPU, Corsair H80I cooler, ASUS TUF GAMING B550-PLUS AMD Ryzen Mother Board,  32Gb ram Corsair Vengeance 3000Mh, MSI GTX960 4G graphics card 

User avatar
Crunchmeister
Posts: 104
Joined: Tue Aug 10, 2021 2:06 pm

Re: When opening Air Manager, I always get this

#7 Post by Crunchmeister »

I have this too. I downloaded the plugin from the link in AM. Installed. Still tells me an update is available.

I went to the wiki and manually downloaded the latest version and installed it. Still tells me update is available.

So yeah, likely just a version number thing. No issues with AM functioning correctly.
- Ryzen 5950x, 64GB 3600MHz RAM, RTX3070Ti

User avatar
Ralph
Posts: 6607
Joined: Tue Oct 27, 2015 7:02 pm
Location: De Steeg
Contact:

Re: When opening Air Manager, I always get this

#8 Post by Ralph »

It's not something that gets fixed and then never happens again. So it'll return now and then.

User avatar
Corjan
Posts: 2638
Joined: Thu Nov 19, 2015 9:04 am

Re: When opening Air Manager, I always get this

#9 Post by Corjan »

Hi,

I indeed forgot to change a version number.
New version is only now. Please download and install again.

Corjan

Post Reply